//
// Passport.h
// IvyMedia
//
// Created by haibara on 10/27/14.
//
//

#import <Foundation/Foundation.h>

@interface Passport : NSObject <NSCopying>

@property (nonatomic, strong) NSString *name;
@property (nonatomic, strong) NSString *mid_name;
@property (nonatomic, strong) NSString *last_name;
@property (nonatomic, strong) NSString *gender;
@property (nonatomic, strong) NSString *birth_date;
@property (nonatomic, strong) NSString *country;
@property (nonatomic, strong) NSString *passport_number;
@property (nonatomic, strong) NSString *expiration_date;
@property (nonatomic, strong) NSString *issue_date;
@property (nonatomic, strong) NSString *emergency_contact_person;
@property (nonatomic, strong) NSString *emergency_phone;
@property (nonatomic, assign) BOOL distinguish_passport;
@property (nonatomic, assign) BOOL is_us_citizen;
@property (nonatomic, strong) NSString *us_name;
@property (nonatomic, strong) NSString *us_mid_name;
@property (nonatomic, strong) NSString *us_last_name;
@property (nonatomic, strong) NSString *us_gender;
@property (nonatomic, strong) NSString *us_birth_date;
@property (nonatomic, strong) NSString *us_id_type;
@property (nonatomic, strong) NSString *us_id_number;
@property (nonatomic, strong) NSString *us_expiration_date;
@property (nonatomic, strong) NSString *us_issue_date;
@property (nonatomic, strong) NSString *us_emergency_contact_person;
@property (nonatomic, strong) NSString *us_emergency_phone;

@property (nonatomic, strong, readonly) NSString *fullName;
@property (nonatomic, strong, readonly) NSString *shortDescription;

- (instancetype)initAsDistinguish;

- (void)trim;
- (NSString *)innerXML;

@end
