//
// PurchaseRecordItineraryCell.m
// MyProject
//
// Created by Ziv on 15/6/23.
//
//

#import "PurchaseRecordItineraryCell.h"
#import "DrawUtils.h"
#import "SDK.h"
#import "Vars.h"
@implementation PurchaseRecordItineraryCell

- (void)awakeFromNib {
	[super awakeFromNib];
	// Initialization code
	self.itineraryLabel.font = [UIFont preferredFontForTextStyle:UIFontTextStyleCaption2];
	self.productLabel.font = [UIFont preferredFontForTextStyle:UIFontTextStyleCaption2];
	self.productContentLabel.font = [UIFont preferredFontForTextStyle:UIFontTextStyleCaption2];
	self.statueLabel.font = [UIFont preferredFontForTextStyle:UIFontTextStyleCaption2];
	self.depatureLabel.font = [UIFont preferredFontForTextStyle:UIFontTextStyleCaption2];
	self.priceLabel.font = [UIFont preferredFontForTextStyle:UIFontTextStyleCaption2];
	self.checkinButton.titleLabel.font = [UIFont preferredFontForTextStyle:UIFontTextStyleCaption2];
	self.trackBusButton.titleLabel.font = [UIFont preferredFontForTextStyle:UIFontTextStyleCaption2];
	
	self.accessoryImageView = [DrawUtils tableViewCellAccessoryDisclosureIndicatorRightWithColor:[Vars defaultTintColor]];
	
	self.checkinButton.layer.cornerRadius = 5.0;
	self.checkinButton.layer.masksToBounds = YES;
	self.checkinButton.layer.borderWidth = 0.5;
	self.checkinButton.layer.borderColor = [Vars defaultTintColor].CGColor;
	self.checkinButton.contentEdgeInsets = UIEdgeInsetsMake(5, 5, 5, 5);
	
	self.trackBusButton.layer.cornerRadius = 5.0;
	self.trackBusButton.layer.masksToBounds = YES;
	self.trackBusButton.layer.borderWidth = 0.5;
	self.trackBusButton.layer.borderColor =[UIColor darkGrayColor].CGColor;
	self.trackBusButton.contentEdgeInsets = UIEdgeInsetsMake(5, 5, 5, 5);

}
- (IBAction)checkIn:(id)sender {
	[self.delegate checkInWithCell:self];
}
- (IBAction)trackBus:(id)sender {
	[self.delegate trackBusWithCell:self];
}

@end
