//
// CreditCardListViewController.h
// Project
//
// Created by Ziv on 16/5/30.
//
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "CreditCard.h"

FOUNDATION_EXPORT NSString *const CreditCardDidSelectNotification;

@interface CreditCardListViewController : UITableViewController

@property (nonatomic, strong)NSMutableArray *creditCards;
@property (nonatomic, assign) BOOL allowsSelection;
@property (nonatomic, assign) BOOL isSelection;
@property (nonatomic, assign) BOOL allowsTransient;
@property (nonatomic, assign) BOOL allowsDefault;

- (void)selectCreditCard:(CreditCard *)creditCard;
- (void)setDidSelectBlock:(void (^)(CreditCard *creditCard))block;
- (void)setDidInsertBlock:(void (^)(CreditCard *creditCard))block;
- (void)setDidUpdateBlock:(void (^)(CreditCard *creditCard))block;
- (void)setDidDeleteBlock:(void (^)(CreditCard *creditCard))block;

@end
