//
// BusCharterWS.m
// Project
//
// Created by Ziv on 16/11/28.
//
//

#import "BusCharterWS.h"
#import "SDK.h"
#import "BeanUtils.h"
#import "CocoaUtils.h"
#import "Vars.h"

@implementation BusCharterWS

#pragma mark - Protected

- (NSString *)address {
	return [NSString stringWithFormat:@"%@/rest/api-charter/%@", TARGET_IPHONE_SIMULATOR && [Vars isJavaAppLocalhost] ? [Vars javaAppLocalhost] : [CocoaUtils securityUrlString:[Vars javaAppEndpoint]], self.name];
}

- (NSString *)name {
	NSString *className = NSStringFromClass(self.class);
	return [className stringByReplacingOccurrencesOfString:@"[A-Z]" withString:@"-$0" options:NSRegularExpressionSearch range:NSMakeRange(1, className.length - 1)].lowercaseString;
}

#pragma mark - Public

// - (NSDictionary *)toParameters {
// return [BeanUtils describeAccessibleSimple:self];
// }

@end

@implementation BusCharterWSResponse
@end

@implementation OrderList
@end

@implementation OrderListResponse
@end

@implementation GrabOrder
@end

@implementation GrabOrderResponse
@end

@implementation UpdateOrderStatus
@end

@implementation UpdateOrderStatusResponse
@end
