//
// IMStepper.h
// MyProject
//
// Created by haibara on 4/23/15.
//
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import <PKYStepper/PKYStepper.h>

typedef NS_ENUM(NSUInteger, StepperStyle) {
	StepperStyleLabel,
	StepperStyletextField
};

@interface IMStepper : PKYStepper

@property (nonatomic, assign, readwrite) CGFloat stepValue;
@property (nonatomic, assign, readwrite) CGFloat minimumValue;
@property (nonatomic, assign, readwrite) CGFloat maximumValue;
@property (nonatomic, assign) StepperStyle style;

- (void)setValueChangedBlock:(void (^) (IMStepper *stepper))block;
- (void)editValueChangeBlock:(void (^) (IMStepper *stepper))block;
@end
