//
// TrackBusStatusInfo.h
// LiveProject
//
// Created by Ziv on 15/8/28.
//
//

#import <Foundation/Foundation.h>
#import "Product.h"

@interface BusStatusInfo : NSObject

@property (nonatomic, assign) NSInteger pid;
@property (nonatomic, strong) NSString *service_date;
@property (nonatomic, assign) NSInteger status;
@property (nonatomic, assign) NSInteger cancelled_type;
@property (nonatomic, assign) NSInteger hour;
@property (nonatomic, assign) NSInteger min;
@property (nonatomic, strong) NSString *note;

@property (nonatomic, strong, readonly) NSString *statusName;
@property (nonatomic, strong, readonly) NSString *otherDescription;
@property (nonatomic, strong, readonly) UIColor *statusColor;

@property (nonatomic, strong) Product *product;

- (void)trim;

+ (NSString *)nameForStatus:(NSInteger)status;
+ (NSString *)reasonForCancelledType:(NSInteger)cancelled_type;
+ (NSString *)timeStringOfHour:(NSInteger)hour andMinute:(NSInteger)minute;

@end
