//
// Route.h
// Project
//
// Created by Ziv on 2017/4/10.
//
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

@interface Route : NSObject
@property (nonatomic, assign) NSInteger id;
@property (nonatomic, strong) NSString *name;
@property (nonatomic, assign) NSInteger status;
@property (nonatomic, strong) NSArray *schedules;
/**
 type == 1 =>> main route
 type == 2 =>> combination route
 type == 3 =>> branch route
 */
@property (nonatomic, assign) NSInteger type;
@property (nonatomic, strong) NSArray *stopSchedules;
@property (nonatomic, assign) BOOL isCombinationRoute;
@property (nonatomic, readonly, strong) NSString *shortName;
@end
