//
// CreditCardDetailViewController.h
// Project
//
// Created by Ziv on 16/5/30.
//
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "CreditCard.h"

FOUNDATION_EXPORT NSString *const CreditCardDidInsertNotification;
FOUNDATION_EXPORT NSString *const CreditCardDidUpdateNotification;
FOUNDATION_EXPORT NSString *const CreditCardDidDeleteNotification;
FOUNDATION_EXPORT NSString *const CreditCardDefaultIdUserInfoKey;

@interface CreditCardDetailViewController : UITableViewController

@property (nonatomic, assign) BOOL allowsTransient;
@property (nonatomic, assign) BOOL allowsDefault;

- (instancetype)initWithCreditCard:(CreditCard *)creditCard;

- (void)setDidInsertBlock:(void (^)(CreditCard *creditCard))block;
- (void)setDidUpdateBlock:(void (^)(CreditCard *creditCard))block;
- (void)setDidDeleteBlock:(void (^)(CreditCard *creditCard))block;

@end
